CFILES = buffer.c cmds.c misc.c file.c main.c video.c ins.c\
         sysdep.c screen.c paste.c ledit.c line.c vterm.c search.c text.c\
         keymap.c replace.c window.c undo.c mem.c vfile.c intrin.c
OBJS = buffer.obj cmds.obj misc.obj file.obj main.obj video.obj ins.obj\
         sysdep.obj screen.obj paste.obj ledit.obj line.obj vterm.obj\
         keymap.obj replace.obj window.obj search.obj text.obj\
	 undo.obj mem.obj vfile.obj intrin.obj syntax.obj
HFILES = buffer.h file.h display.h sysdep.h screen.h paste.h ins.h misc.h\
         ledit.h cmds.h text.h keymap.h replace.h window.h line.h\
	 vterm.h search.h undo.h mem.h
MFILES = makefile zip.lis vms.c bsd.c sys5.c sig.c sig.h display.c
JFILES = emacs.jed jed.rc most.jed edt.jed fortran.jed jed.doc read.me

LIBD = ..\..\slang\src
CC = bcc
CFLAGS = -G- -H -O1 -w -ml -Dmsdos -DHAS_MEMCMP -DHAS_MEMCHR -DJED #-DFLOAT_TYPE 
#CFLAGS =  -N -v -H -w -ml -Dmsdos -DHAS_MEMCMP -DFLOAT_TYPE #-DMALLOC_DEBUG

jed.exe: $(OBJS) $(HFILES)
	$(CC) $(CFLAGS) -L$(LIBD) -ejed.exe @jed.rsp slang.lib
	
.c.obj:
	$(CC) -c $(CFLAGS) -I$(LIBD) $*.c

zip:
	pkzip jed.zip @zip.lis jed.exe

export:
	export -f zip.lis
	

